import {Component, OnInit, ViewChild} from '@angular/core';
import {AlarmService} from '../alarm.service';
import {pageSize} from '../../app.constants';
import {WarnListComponent} from '../../modal/warn-list/warn-list.component';
import {OverAllService} from '../../overAll/overAll.service';
import {NzMessageService} from 'ng-zorro-antd';

@Component({
    selector: 'smart-alarm-list',
    templateUrl: './alarm-list.component.html',
    styles: [`
        .tag-warn{
            padding: 5px;
        }
        .tag-warn span{
            border: 1px solid #ccc;
            margin-right: 10px;
            display: inline-block;
            margin-bottom: 10px;
            padding: 2px 4px;
            border-radius: 4px;
        }
        :host ::ng-deep .tag-warn .ant-tag{
            margin-right: 0px;
        }
    `]
})
export class AlarmListComponent implements OnInit {
    @ViewChild('warnList') warnList: WarnListComponent;
    eventList = [];
    warnCountList = [];
    groupList = [];
    pageNum = 1;
    pageCount = pageSize;

    constructor(public alarmSer: AlarmService,public overAllSer:OverAllService,public message:NzMessageService) {
    }

    ngOnInit() {
        const obj = {};
        this.getType();
        this.getWarnGroup();
        this.warnList.getList(obj);
    }

    getWarnGroup(){
        this.overAllSer.findWarnAll().subscribe(
            (res)=>{
                if(res.errCode == 10000){
                    this.groupList = res.data;
                }
            }
        )
    }

    getType(){
        this.overAllSer.findHostWarningCount().subscribe(
            (res)=>{
                if(res.errCode == 10000){
                    this.warnCountList = res.data;
                }else{
                    this.message.info(res.errMsg);
                }
            }
        )
    }

}
